<!DOCTYPE html>
<html>
<head>
    <title>Loan Repayment Calculator</title>
</head>
<body>
    <h1>Loan Repayment Calculator</h1>
    <form method="post" action="">
        Loan Amount: <input type="text" name="loan_amount"><br><br>
        Repayment Period: <input type="text" name="repayment_period"><br><br>
        Interest Frequency:
        <select name="interest_frequency">
            <option value="monthly">Monthly (8%)</option>
            <option value="weekly">Weekly (2%)</option>
        </select><br><br>
        Lump Sum Payment: <input type="text" name="lump_payment"><br><br>
        <input type="submit" name="calculate" value="Calculate">
    </form>

    <br>

    <?php
    if (isset($_POST['calculate'])) {
        $loan_amount = $_POST['loan_amount'];
        $repayment_period = $_POST['repayment_period'];
        $interest_frequency = $_POST['interest_frequency'];
        $lump_payment = $_POST['lump_payment'];

        if (isset($loan_amount) && isset($repayment_period) && isset($interest_frequency)) {
            // Convert input to numeric values
            $loan_amount = (float)$loan_amount;
            $repayment_period = (int)$repayment_period;
            $lump_payment = $lump_payment !== '' ? (float)$lump_payment : 0;

            // Initializing variables for the table
            $principal_remainder = $loan_amount;
            $repayment_schedule = [];

            // Calculate and generate repayment schedule
            if ($interest_frequency === 'monthly') {
                $interest_rate = 0.08;
                $frequency_text = 'months';
            } else {
                $interest_rate = 0.02;
                $frequency_text = 'weeks';
            }

            for ($i = 1; $i <= $repayment_period; $i++) {
                $principal_payment = ($repayment_period < $i || $i <= 0) ? 0 : ($lump_payment > 0 ? $principal_remainder / ($repayment_period - $i + 1) : $loan_amount / ($repayment_period - 0));

                $interest = $principal_remainder * $interest_rate;
                $principal_remainder = ($lump_payment > 0) ? $principal_remainder - $principal_payment - $lump_payment : $principal_remainder - $principal_payment;

                $total_repayment = $principal_payment + $interest + $lump_payment;

                $repayment_schedule[] = [
                    'months_weeks' => $i . ' ' . $frequency_text,
                    'principal_payment' => $principal_payment,
                    'interest' => $interest,
                    'principal_remainder' => $principal_remainder,
                    'total_repayment' => $total_repayment,
                ];
            }

            // Display the repayment schedule in a table
            echo '<table border="1">';
            echo '<tr><th>Months/Weeks</th><th>Principal Payment</th><th>Interest</th><th>Principal Remainder</th><th>Total Repayment</th></tr>';
            foreach ($repayment_schedule as $schedule) {
                echo '<tr>';
                echo '<td>' . $schedule['months_weeks'] . '</td>';
                echo '<td>$' . number_format($schedule['principal_payment'], 2) . '</td>';
                echo '<td>$' . number_format($schedule['interest'], 2) . '</td>';
                echo '<td>$' . number_format($schedule['principal_remainder'], 2) . '</td>';
                echo '<td>$' . number_format($schedule['total_repayment'], 2) . '</td>';
                echo '</tr>';
            }
            echo '</table>';
        }
    }
    ?>
</body>
</html>
